Ciao a tutti!

sto cercando di installare omnet++ su ubuntu 20.10 ma senza risultati... sto seguendo la guida ufficiale, ma già al primo passaggio mi blocco, quando eseguo il comando

sudo apt-get install build-essential gcc g++ bison flex perl python python3 qt5-default libqt5opengl5-dev tcl-dev tk-dev libxml2-dev zlib1g-dev default-jre doxygen graphviz libwebkitgtk-3.0-0

mi da esce che libwebkitgtk-3.0-0 non ha versioni disponibili, e che non ha candidati da installare, ho guardato un pò in giro ed ho letto che per installarlo bisogna andare su /etc/apt/sources.list ed aggiungere:

deb http://cz.archive.ubuntu.com/ubuntu bionic main universe

ma ora mi da questo errore:

Errore:5 http://cz.archive.ubuntu.com/ubuntu bionic InRelease
  Le seguenti firme non sono state verificate perché la chiave pubblica non è disponibile: NO_PUBKEY 3B4FE6ACC0B21F32
Lettura elenco dei pacchetti... Fatto
W: Errore GPG: http://cz.archive.ubuntu.com/ubuntu bionic InRelease: Le seguenti firme non sono state verificate perché la chiave pubblica non è disponibile: NO_PUBKEY 3B4FE6ACC0B21F32
E: Il repository "http://cz.archive.ubuntu.com/ubuntu bionic InRelease" non è firmato.
N: L'aggiornamento da tale repository non può essere eseguito in modo sicuro ed è quindi disabilitato come impostazione predefinita.
N: Consultare la pagina man apt-secure(8) per la creazione di un repository e la configurazione utente.

ma da qui in poi non sono riuscito a trovare nessun tipo di soluzione.

Qualcuno riesce ad aiutarmi?

Grazie in anticio

chiesto 07 Mar, 23:45

The%20Lion's gravatar image

The Lion
202

modificato 08 Mar, 18:21

quale guida hai seguito?

per "bionic" credo... (18.04)

(08 Mar, 13:37) sacarde sacarde's gravatar image

per gli errori delle chiavi:

https://wiki.ubuntu-it.org/AmministrazioneSistema/Aggiornamenti/RisoluzioneProblemi

p.s. io ho trovato questa guida per installare OMNeT++ sulla 20.

http://kjit.bme.hu/images/trafficlab/Research/SUMOTRACI/SUMO-VEINS_Tutorial.pdf

al punto 2.5.1

(08 Mar, 14:33) sacarde sacarde's gravatar image

@sacarde alla fine sono riuscito a passare avanti senza aggiungere niente nella source_list ed ho anche notato che usavo bionic mentre dovevo usare "groovy" (ho la 20.10), però sono passato a un nuovo problema, devo installare: openscenegraph-plugin-osgearth libosgearth-dev ma mi dice che è impossibile trovare i pacchetti...

comunque sto seguendo questa guida

https://doc.omnetpp.org/omnetpp/InstallGuide.pdf

sono abbastanza ignorante e sto facendo un bel pò di casini, ma penso di aver capito che non c'è ancora per la 20.10.

(08 Mar, 14:59) The Lion The%20Lion's gravatar image
  • quindi sei su una 18.04 ? lsb_release -a

  • sulla 18.04 vedo il pacchetto: openscenegraph-plugin-osgearth e libosgearth-dev

che hai nel file: /etc/apt/sources.list ?

  • provato a fare...:

sudo apt update

sudo apt install openscenegraph-plugin-osgearth libosgearth-dev

(08 Mar, 15:06) sacarde sacarde's gravatar image

@sacarde alla fine ho reinstallato Ubuntu nella versione indicata nella guida (Focal Fossa 20.04) e sono riuscito a installare tutto senza problemi!

Grazie lo stesso per l'aiuto!

(08 Mar, 18:17) The Lion The%20Lion's gravatar image

@sacarde alla fine ho reinstallato Ubuntu nella versione indicata nella guida (Focal Fossa 20.04) e sono riuscito a installarlo senza problemi.

Grazie lo stesso per l'aiuto!!

(08 Mar, 18:20) The Lion The%20Lion's gravatar image
Scrivi tu la prima risposta!
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×1,982
×857

domanda posta: 07 Mar, 23:45

domanda visualizzata: 79 volte

ultimo aggiornamento: 08 Mar, 18:21

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.